summaryrefslogtreecommitdiffstats
path: root/package/base-files/default/sbin/mount_root
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-04-08 21:11:49 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-04-08 21:11:49 +0000
commit89ca788b2d7c218c98dd112c567e4bf2d92c4864 (patch)
tree08c1a3c0782cac924079e399290e61d450510938 /package/base-files/default/sbin/mount_root
parentfdfccc7699b38ab893a8cd6fcf8d5030b71007f3 (diff)
fix a bug that prevents the wgt634u from initializing the filesystem properly
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@3601 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/default/sbin/mount_root')
-rwxr-xr-xpackage/base-files/default/sbin/mount_root8
1 files changed, 6 insertions, 2 deletions
diff --git a/package/base-files/default/sbin/mount_root b/package/base-files/default/sbin/mount_root
index 38252e83f..88a836c80 100755
--- a/package/base-files/default/sbin/mount_root
+++ b/package/base-files/default/sbin/mount_root
@@ -22,9 +22,13 @@ if [ "$1" != "failsafe" ]; then
. /bin/firstboot
is_dirty
[ $? != 0 ] && {
- mount /dev/mtdblock/4 /jffs
+ echo "switching to jffs2"
+ mount /dev/mtdblock/4 /jffs -t jffs2
pivot /jffs /rom
- } || ramoverlay
+ } || {
+ echo "jffs2 unusable; using ramdisk"
+ ramoverlay
+ }
fi
fi